Subject: Re: bug#39140: 28.0.50; gdb-mode incorrectly responds to C-d when a python interpreter is running

From: Eli Zaretskii <[email-masked]>
Date: Tue, 21 Jan 2020 19:07:11 +0200

> From: Vladimir Nikishkin <[email-masked]>
> Date: Tue, 21 Jan 2020 10:59:52 +0800
> Cc: [email-masked]
> 
> On my machine, Ctrl-D ends only the python interpreter in plain gdb,
> but ends both python and gdb when gdb is launched with the MI
> interpreter gdb -i=mi
> That is, the general interpreter and the -i=mi interpreter seem to
> interpret Ctrl-D differently.
> I am using GNU gdb (GDB) 8.3.1.

This doesn't happen to me, so this is very strange.  On my system,
Ctrl-D exits the Python interpreter both in CLI and MI modes.

So I think I'm going to install my changes, and suggest that you try
to figure out why you get this strange behavior.